> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check instance quota

> Check if regional quota is exceeded for instance creation.
If exceeded, calculate additional quotas needed.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v2/instances/{project_id}/{region_id}/check_limits
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v2/instances/{project_id}/{region_id}/check_limits:
    post:
      tags:
        - Instances
      summary: Check instance quota
      description: |-
        Check if regional quota is exceeded for instance creation.
        If exceeded, calculate additional quotas needed.
      operationId: InstanceCheckLimitsV2.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckQuotaBeforeInstanceCreatingSchema'
      responses:
        '200':
          description: Dict of exceeding quotas
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegionalDiffQuotasSchema'
        '400':
          description: Invalid parameter in request
        '404':
          description: Keypair or other mandatory resource was not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorSchema'
components:
  schemas:
    CheckQuotaBeforeInstanceCreatingSchema:
      type: object
      properties:
        flavor:
          type: string
        interfaces:
          type: array
          description: Subnet IPs and floating IPs
          items:
            anyOf:
              - $ref: '#/components/schemas/NewInterfaceExternalSchema'
              - $ref: '#/components/schemas/NetworkSubnetFipSchema'
              - $ref: '#/components/schemas/NetworkAnySubnetFipSchema'
              - $ref: '#/components/schemas/ReservedFixedIpFipSchema'
        name_templates:
          type: array
          description: >-
            List of instance name templates. Either this or names must be
            specified.
          items:
            type:
              - string
              - 'null'
        names:
          type: array
          description: >-
            List of instance names. Either this or `name_templates` must be
            specified.
          items:
            type: string
        volumes:
          type: array
          items:
            $ref: >-
              #/components/schemas/LegacyCreateInstanceVolumePricingRequestSchema
      example:
        flavor: g1-standard-1-2
        interfaces:
          - floating_ip:
              source: new
            network_id: ddc28e44-2acb-499b-985b-831f29432e1c
            subnet_id: 2731a56e-a5c9-44be-80c2-02c57c594573
            type: subnet
          - floating_ip:
              existing_floating_id: 57be69f6-6f6a-4f03-a4ad-8eb86c69ec0a
              source: existing
            network_id: 53609647-2619-420a-b046-59905c8e3370
            subnet_id: e3c6ee77-48cb-416b-b204-11b492cc776e3
            type: subnet
          - network_id: 783b36b4-3ef4-48ac-879d-5b3ea53180d8
            subnet_id: 382a83e5-1b38-49f9-bd83-730353b29ed4
            type: subnet
          - network_id: 783b36b4-3ef4-48ac-879d-5b3ea53180d8
            type: any_subnet
          - type: external
        names:
          - cirroz1
          - cirroz2
        volumes:
          - size: 10
            source: image
            type_name: ssd_hiiops
          - size: 5
            source: new-volume
            type_name: standard
          - snapshot_id: 7cca40d7-a843-4e9f-ae08-62b9a394b1ab
            source: snapshot
    RegionalDiffQuotasSchema:
      type: object
      properties:
        baremetal_basic_count_limit:
          type: integer
          description: Basic bare metal servers count limit
        baremetal_basic_count_requested:
          type: integer
          description: Basic bare metal servers count requested
        baremetal_basic_count_usage:
          type: integer
          description: Basic bare metal servers count usage
        baremetal_gpu_a100_count_limit:
          type: integer
          description: Bare metal A100 GPU server count limit
        baremetal_gpu_a100_count_requested:
          type: integer
          description: Bare metal A100 GPU server count requested
        baremetal_gpu_a100_count_usage:
          type: integer
          description: Bare metal A100 GPU server count usage
        baremetal_gpu_h100_count_limit:
          type: integer
          description: Bare metal H100 GPU server count limit
        baremetal_gpu_h100_count_requested:
          type: integer
          description: Bare metal H100 GPU server count requested
        baremetal_gpu_h100_count_usage:
          type: integer
          description: Bare metal H100 GPU server count usage
        baremetal_gpu_h200_count_limit:
          type: integer
          description: Bare metal H200 GPU server count limit
        baremetal_gpu_h200_count_requested:
          type: integer
          description: Bare metal H200 GPU server count requested
        baremetal_gpu_h200_count_usage:
          type: integer
          description: Bare metal H200 GPU server count usage
        baremetal_gpu_l40s_count_limit:
          type: integer
          description: Bare metal L40S GPU server count limit
        baremetal_gpu_l40s_count_requested:
          type: integer
          description: Bare metal L40S GPU server count requested
        baremetal_gpu_l40s_count_usage:
          type: integer
          description: Bare metal L40S GPU server count usage
        baremetal_hf_count_limit:
          type: integer
          description: High-frequency bare metal servers count limit
        baremetal_hf_count_requested:
          type: integer
          description: High-frequency bare metal servers count requested
        baremetal_hf_count_usage:
          type: integer
          description: High-frequency bare metal servers count usage
        baremetal_infrastructure_count_limit:
          type: integer
          description: Infrastructure bare metal servers count limit
        baremetal_infrastructure_count_requested:
          type: integer
          description: Infrastructure bare metal servers count requested
        baremetal_infrastructure_count_usage:
          type: integer
          description: Infrastructure bare metal servers count usage
        baremetal_network_count_limit:
          type: integer
          description: Bare metal Network Count limit
        baremetal_network_count_requested:
          type: integer
          description: Bare metal Network Count requested
        baremetal_network_count_usage:
          type: integer
          description: Bare metal Network Count usage
        baremetal_storage_count_limit:
          type: integer
          description: Storage bare metal servers count limit
        baremetal_storage_count_requested:
          type: integer
          description: Storage bare metal servers count requested
        baremetal_storage_count_usage:
          type: integer
          description: Storage bare metal servers count usage
        caas_container_count_limit:
          type: integer
          description: Containers count limit
        caas_container_count_requested:
          type: integer
          description: Containers count requested
        caas_container_count_usage:
          type: integer
          description: Containers count usage
        caas_cpu_count_limit:
          type: integer
          description: mCPU count for containers limit
        caas_cpu_count_requested:
          type: integer
          description: mCPU count for containers requested
        caas_cpu_count_usage:
          type: integer
          description: mCPU count for containers usage
        caas_gpu_count_limit:
          type: integer
          description: Containers gpu count limit
        caas_gpu_count_requested:
          type: integer
          description: Containers gpu count requested
        caas_gpu_count_usage:
          type: integer
          description: Containers gpu count usage
        caas_ram_size_limit:
          type: integer
          description: MiB memory count for containers limit
        caas_ram_size_requested:
          type: integer
          description: MiB memory count for containers requested
        caas_ram_size_usage:
          type: integer
          description: MiB memory count for containers usage
        cluster_count_limit:
          type: integer
          description: K8s clusters count limit
        cluster_count_requested:
          type: integer
          description: K8s clusters count requested
        cluster_count_usage:
          type: integer
          description: K8s clusters count usage
        cpu_count_limit:
          type: integer
          description: vCPU Count limit
        cpu_count_requested:
          type: integer
          description: vCPU Count requested
        cpu_count_usage:
          type: integer
          description: vCPU Count usage
        dbaas_postgres_cluster_count_limit:
          type: integer
          description: DBaaS cluster count limit
        dbaas_postgres_cluster_count_requested:
          type: integer
          description: DBaaS cluster count requested
        dbaas_postgres_cluster_count_usage:
          type: integer
          description: DBaaS cluster count usage
        external_ip_count_limit:
          type: integer
          description: External IP Count limit
        external_ip_count_requested:
          type: integer
          description: External IP Count requested
        external_ip_count_usage:
          type: integer
          description: External IP Count usage
        faas_cpu_count_limit:
          type: integer
          description: mCPU count for functions limit
        faas_cpu_count_requested:
          type: integer
          description: mCPU count for functions requested
        faas_cpu_count_usage:
          type: integer
          description: mCPU count for functions usage
        faas_function_count_limit:
          type: integer
          description: Functions count limit
        faas_function_count_requested:
          type: integer
          description: Functions count requested
        faas_function_count_usage:
          type: integer
          description: Functions count usage
        faas_namespace_count_limit:
          type: integer
          description: Functions namespace count limit
        faas_namespace_count_requested:
          type: integer
          description: Functions namespace count requested
        faas_namespace_count_usage:
          type: integer
          description: Functions namespace count usage
        faas_ram_size_limit:
          type: integer
          description: MiB memory count for functions limit
        faas_ram_size_requested:
          type: integer
          description: MiB memory count for functions requested
        faas_ram_size_usage:
          type: integer
          description: MiB memory count for functions usage
        firewall_count_limit:
          type: integer
          description: Firewalls Count limit
        firewall_count_requested:
          type: integer
          description: Firewalls Count requested
        firewall_count_usage:
          type: integer
          description: Firewalls Count usage
        floating_count_limit:
          type: integer
          description: Floating IP Count limit
        floating_count_requested:
          type: integer
          description: Floating IP Count requested
        floating_count_usage:
          type: integer
          description: Floating IP Count usage
        gpu_count_limit:
          type: integer
          description: GPU Count limit
        gpu_count_requested:
          type: integer
          description: GPU Count requested
        gpu_count_usage:
          type: integer
          description: GPU Count usage
        gpu_virtual_a100_count_limit:
          type: integer
          description: Virtual A100 GPU card count limit
        gpu_virtual_a100_count_requested:
          type: integer
          description: Virtual A100 GPU card count requested
        gpu_virtual_a100_count_usage:
          type: integer
          description: Virtual A100 GPU card count usage
        gpu_virtual_h100_count_limit:
          type: integer
          description: Virtual H100 GPU card count limit
        gpu_virtual_h100_count_requested:
          type: integer
          description: Virtual H100 GPU card count requested
        gpu_virtual_h100_count_usage:
          type: integer
          description: Virtual H100 GPU card count usage
        gpu_virtual_h200_count_limit:
          type: integer
          description: Virtual H200 GPU card count limit
        gpu_virtual_h200_count_requested:
          type: integer
          description: Virtual H200 GPU card count requested
        gpu_virtual_h200_count_usage:
          type: integer
          description: Virtual H200 GPU card count usage
        gpu_virtual_l40s_count_limit:
          type: integer
          description: Virtual L40S GPU card count limit
        gpu_virtual_l40s_count_requested:
          type: integer
          description: Virtual L40S GPU card count requested
        gpu_virtual_l40s_count_usage:
          type: integer
          description: Virtual L40S GPU card count usage
        image_count_limit:
          type: integer
          description: Images Count limit
        image_count_requested:
          type: integer
          description: Images Count requested
        image_count_usage:
          type: integer
          description: Images Count usage
        image_size_limit:
          type: integer
          description: Images Size, bytes limit
        image_size_requested:
          type: integer
          description: Images Size, bytes requested
        image_size_usage:
          type: integer
          description: Images Size, bytes usage
        ipu_count_limit:
          type: integer
          description: IPU Count limit
        ipu_count_requested:
          type: integer
          description: IPU Count requested
        ipu_count_usage:
          type: integer
          description: IPU Count usage
        laas_topic_count_limit:
          type: integer
          description: LaaS Topics Count limit
        laas_topic_count_requested:
          type: integer
          description: LaaS Topics Count requested
        laas_topic_count_usage:
          type: integer
          description: LaaS Topics Count usage
        loadbalancer_count_limit:
          type: integer
          description: Load Balancers Count limit
        loadbalancer_count_requested:
          type: integer
          description: Load Balancers Count requested
        loadbalancer_count_usage:
          type: integer
          description: Load Balancers Count usage
        network_count_limit:
          type: integer
          description: Networks Count limit
        network_count_requested:
          type: integer
          description: Networks Count requested
        network_count_usage:
          type: integer
          description: Networks Count usage
        ram_limit:
          type: integer
          description: RAM Size, MiB limit
        ram_requested:
          type: integer
          description: RAM Size, MiB requested
        ram_usage:
          type: integer
          description: RAM Size, MiB usage
        registry_count_limit:
          type: integer
          description: Registries count limit
        registry_count_requested:
          type: integer
          description: Registries count requested
        registry_count_usage:
          type: integer
          description: Registries count usage
        registry_storage_limit:
          type: integer
          description: Registries volume usage, GiB limit
        registry_storage_requested:
          type: integer
          description: Registries volume usage, GiB requested
        registry_storage_usage:
          type: integer
          description: Registries volume usage, GiB usage
        router_count_limit:
          type: integer
          description: Routers Count limit
        router_count_requested:
          type: integer
          description: Routers Count requested
        router_count_usage:
          type: integer
          description: Routers Count usage
        secret_count_limit:
          type: integer
          description: Secret Count limit
        secret_count_requested:
          type: integer
          description: Secret Count requested
        secret_count_usage:
          type: integer
          description: Secret Count usage
        servergroup_count_limit:
          type: integer
          description: Placement Group Count limit
        servergroup_count_requested:
          type: integer
          description: Placement Group Count requested
        servergroup_count_usage:
          type: integer
          description: Placement Group Count usage
        sfs_count_limit:
          type: integer
          description: Shared file system Count limit
        sfs_count_requested:
          type: integer
          description: Shared file system Count requested
        sfs_count_usage:
          type: integer
          description: Shared file system Count usage
        sfs_size_limit:
          type: integer
          description: Shared file system Size, GiB limit
        sfs_size_requested:
          type: integer
          description: Shared file system Size, GiB requested
        sfs_size_usage:
          type: integer
          description: Shared file system Size, GiB usage
        shared_vm_count_limit:
          type: integer
          description: Basic VMs Count limit
        shared_vm_count_requested:
          type: integer
          description: Basic VMs Count requested
        shared_vm_count_usage:
          type: integer
          description: Basic VMs Count usage
        snapshot_schedule_count_limit:
          type: integer
          description: Snapshot Schedules Count limit
        snapshot_schedule_count_requested:
          type: integer
          description: Snapshot Schedules Count requested
        snapshot_schedule_count_usage:
          type: integer
          description: Snapshot Schedules Count usage
        subnet_count_limit:
          type: integer
          description: Subnets Count limit
        subnet_count_requested:
          type: integer
          description: Subnets Count requested
        subnet_count_usage:
          type: integer
          description: Subnets Count usage
        vm_count_limit:
          type: integer
          description: Instances Dedicated Count limit
        vm_count_requested:
          type: integer
          description: Instances Dedicated Count requested
        vm_count_usage:
          type: integer
          description: Instances Dedicated Count usage
        volume_count_limit:
          type: integer
          description: Volumes Count limit
        volume_count_requested:
          type: integer
          description: Volumes Count requested
        volume_count_usage:
          type: integer
          description: Volumes Count usage
        volume_size_limit:
          type: integer
          description: Volumes Size, GiB limit
        volume_size_requested:
          type: integer
          description: Volumes Size, GiB requested
        volume_size_usage:
          type: integer
          description: Volumes Size, GiB usage
        volume_snapshots_count_limit:
          type: integer
          description: Snapshots Count limit
        volume_snapshots_count_requested:
          type: integer
          description: Snapshots Count requested
        volume_snapshots_count_usage:
          type: integer
          description: Snapshots Count usage
        volume_snapshots_size_limit:
          type: integer
          description: Snapshots Size, GiB limit
        volume_snapshots_size_requested:
          type: integer
          description: Snapshots Size, GiB requested
        volume_snapshots_size_usage:
          type: integer
          description: Snapshots Size, GiB usage
      example:
        baremetal_basic_count_requested: 1
        baremetal_gpu_a100_count_requested: 1
        baremetal_gpu_h100_count_requested: 1
        baremetal_gpu_h200_count_requested: 1
        baremetal_gpu_l40s_count_requested: 1
        baremetal_hf_count_requested: 1
        baremetal_infrastructure_count_requested: 1
        baremetal_network_count_requested: 1
        baremetal_storage_count_requested: 1
        caas_container_count_requested: 1
        caas_cpu_count_requested: 1
        caas_gpu_count_requested: 1
        caas_ram_size_requested: 1
        cluster_count_requested: 1
        cpu_count_requested: 1
        dbaas_postgres_cluster_count_requested: 1
        external_ip_count_requested: 1
        faas_cpu_count_requested: 1
        faas_function_count_requested: 1
        faas_namespace_count_requested: 1
        faas_ram_size_requested: 1
        firewall_count_requested: 1
        floating_count_requested: 1
        gpu_count_requested: 1
        gpu_virtual_a100_count_requested: 1
        gpu_virtual_h100_count_requested: 1
        gpu_virtual_h200_count_requested: 1
        gpu_virtual_l40s_count_requested: 1
        image_count_requested: 1
        image_size_requested: 1
        ipu_count_requested: 1
        laas_topic_count_requested: 1
        loadbalancer_count_requested: 1
        network_count_requested: 1
        ram_requested: 1
        registry_count_requested: 1
        registry_storage_requested: 1
        router_count_requested: 1
        secret_count_requested: 1
        servergroup_count_requested: 1
        sfs_count_requested: 1
        sfs_size_requested: 1
        shared_vm_count_requested: 1
        snapshot_schedule_count_requested: 1
        subnet_count_requested: 1
        vm_count_requested: 1
        volume_count_requested: 1
        volume_size_requested: 1
        volume_snapshots_count_requested: 1
        volume_snapshots_size_requested: 1
        baremetal_basic_count_limit: 0
        baremetal_basic_count_usage: 0
        baremetal_gpu_a100_count_limit: 0
        baremetal_gpu_a100_count_usage: 0
        baremetal_gpu_h100_count_limit: 0
        baremetal_gpu_h100_count_usage: 0
        baremetal_gpu_h200_count_limit: 0
        baremetal_gpu_h200_count_usage: 0
        baremetal_gpu_l40s_count_limit: 0
        baremetal_gpu_l40s_count_usage: 0
        baremetal_hf_count_limit: 0
        baremetal_hf_count_usage: 0
        baremetal_infrastructure_count_limit: 0
        baremetal_infrastructure_count_usage: 0
        baremetal_network_count_limit: 0
        baremetal_network_count_usage: 0
        baremetal_storage_count_limit: 0
        baremetal_storage_count_usage: 0
        caas_container_count_limit: 0
        caas_container_count_usage: 0
        caas_cpu_count_limit: 0
        caas_cpu_count_usage: 0
        caas_gpu_count_limit: 0
        caas_gpu_count_usage: 0
        caas_ram_size_limit: 0
        caas_ram_size_usage: 0
        cluster_count_limit: 0
        cluster_count_usage: 0
        cpu_count_limit: 0
        cpu_count_usage: 0
        dbaas_postgres_cluster_count_limit: 0
        dbaas_postgres_cluster_count_usage: 0
        external_ip_count_limit: 0
        external_ip_count_usage: 0
        faas_cpu_count_limit: 0
        faas_cpu_count_usage: 0
        faas_function_count_limit: 0
        faas_function_count_usage: 0
        faas_namespace_count_limit: 0
        faas_namespace_count_usage: 0
        faas_ram_size_limit: 0
        faas_ram_size_usage: 0
        firewall_count_limit: 0
        firewall_count_usage: 0
        floating_count_limit: 0
        floating_count_usage: 0
        gpu_count_limit: 0
        gpu_count_usage: 0
        gpu_virtual_a100_count_limit: 0
        gpu_virtual_a100_count_usage: 0
        gpu_virtual_h100_count_limit: 0
        gpu_virtual_h100_count_usage: 0
        gpu_virtual_h200_count_limit: 0
        gpu_virtual_h200_count_usage: 0
        gpu_virtual_l40s_count_limit: 0
        gpu_virtual_l40s_count_usage: 0
        image_count_limit: 0
        image_count_usage: 0
        image_size_limit: 0
        image_size_usage: 0
        ipu_count_limit: 0
        ipu_count_usage: 0
        laas_topic_count_limit: 0
        laas_topic_count_usage: 0
        loadbalancer_count_limit: 0
        loadbalancer_count_usage: 0
        network_count_limit: 0
        network_count_usage: 0
        ram_limit: 0
        ram_usage: 0
        registry_count_limit: 0
        registry_count_usage: 0
        registry_storage_limit: 0
        registry_storage_usage: 0
        router_count_limit: 0
        router_count_usage: 0
        secret_count_limit: 0
        secret_count_usage: 0
        servergroup_count_limit: 0
        servergroup_count_usage: 0
        sfs_count_limit: 0
        sfs_count_usage: 0
        sfs_size_limit: 0
        sfs_size_usage: 0
        shared_vm_count_limit: 0
        shared_vm_count_usage: 0
        snapshot_schedule_count_limit: 0
        snapshot_schedule_count_usage: 0
        subnet_count_limit: 0
        subnet_count_usage: 0
        vm_count_limit: 0
        vm_count_usage: 0
        volume_count_limit: 0
        volume_count_usage: 0
        volume_size_limit: 0
        volume_size_usage: 0
        volume_snapshots_count_limit: 0
        volume_snapshots_count_usage: 0
        volume_snapshots_size_limit: 0
        volume_snapshots_size_usage: 0
    NotFoundErrorSchema:
      type: object
      description: Resource was not found
      properties:
        exception_class:
          type: string
          description: NotFoundError
        message:
          type: string
          description: Description what was not found
        request_id:
          type: string
          description: Request ID, if logging is not in debug mode
      example:
        exception_class: NotFoundError
        message: keypair not found
        request_id: 4e3e63f3-4f2a-4720-bf18-2a1986531b87
    NewInterfaceExternalSchema:
      type: object
      properties:
        interface_name:
          type: string
          maxLength: 37
          description: Interface name
        ip_family:
          type: string
          enum:
            - dual
            - ipv4
            - ipv6
          description: 'Which subnets should be selected: IPv4, IPv6 or use dual stack.'
        port_group:
          type: integer
          minimum: 0
          maximum: 3
          description: Each group will be added to the separate trunk.
        type:
          type: string
          default: external
          description: Must be 'external'. Union tag
      description: Instance will be attached to default external network
      example:
        type: external
        ip_family: dual
    NetworkSubnetFipSchema:
      type: object
      properties:
        floating_ip:
          description: Floating IP config for this subnet attachment
          allOf:
            - $ref: '#/components/schemas/NewInterfaceFloatingIpSchema'
        interface_name:
          type: string
          maxLength: 37
          description: Interface name
        network_id:
          type: string
          description: >-
            Network ID the subnet belongs to. Port will be plugged in this
            network
        port_group:
          type: integer
          minimum: 0
          maximum: 3
          description: Each group will be added to the separate trunk.
        subnet_id:
          type: string
          description: Port is assinged an IP address from this subnet
        type:
          type: string
          default: subnet
          description: >-
            'subnet'. Instance will be attached to specified subnet, and
            floating IP can be created and attached to this IP
      required:
        - network_id
        - subnet_id
      description: >-
        Instance will be attached to specified subnet, and floating IP can be
        created and attached to this IP
      example:
        floating_ip:
          existing_floating_id: 57be69f6-6f6a-4f03-a4ad-8eb86c69ec0a
          source: existing
        network_id: 59905c8e-2619-420a-b046-536096473370
        subnet_id: e3c6ee77-48cb-416b-b204-11b492cc776e3
        type: subnet
    NetworkAnySubnetFipSchema:
      type: object
      properties:
        floating_ip:
          description: Floating IP config for this subnet attachment
          allOf:
            - $ref: '#/components/schemas/NewInterfaceFloatingIpSchema'
        interface_name:
          type: string
          maxLength: 37
          description: Interface name
        ip_address:
          type: string
          description: Fixed IP address
        ip_family:
          type: string
          enum:
            - dual
            - ipv4
            - ipv6
          description: 'Which subnets should be selected: IPv4, IPv6 or use dual stack.'
        network_id:
          type: string
          description: >-
            Network ID the subnet belongs to. Port will be plugged in this
            network
        port_group:
          type: integer
          minimum: 0
          maximum: 3
          description: Each group will be added to the separate trunk.
        type:
          type: string
          default: any_subnet
          description: >-
            'any_subnet'. Instance will be attached to a subnet with the largest
            count of free ips. Floating IP will be created and attached to that
            IP
      required:
        - network_id
      description: >-
        Instance will be attached to a subnet with the largest count of free
        ips.

        Floating IP will be created and attached to that IP
      example:
        floating_ip:
          existing_floating_id: 57be69f6-6f6a-4f03-a4ad-8eb86c69ec0a
          source: existing
        ip_address: 192.168.6.9
        network_id: 59905c8e-2619-420a-b046-536096473370
        type: any_subnet
        interface_name: my-any-subnet-interface
    ReservedFixedIpFipSchema:
      type: object
      properties:
        floating_ip:
          description: Floating IP config for this subnet attachment
          allOf:
            - $ref: '#/components/schemas/NewInterfaceFloatingIpSchema'
        interface_name:
          type: string
          maxLength: 37
          description: Interface name
        port_group:
          type: integer
          minimum: 0
          maximum: 3
          description: Each group will be added to the separate trunk.
        port_id:
          type: string
          description: >-
            Network ID the subnet belongs to. Port will be plugged in this
            network
        type:
          type: string
          default: reserved_fixed_ip
          description: >-
            'reserved_fixed_ip'. Instance will be attached to the given port.
            Floating IP will be created and attached to that IP
      required:
        - port_id
      description: |-
        Instance will be attached to the given port.
        Floating IP will be created and attached to that IP
      example:
        floating_ip:
          source: new
        port_id: 59905c8e-2619-420a-b046-536096473370
        type: reserved_fixed_ip
        interface_name: my-rfip-interface
    LegacyCreateInstanceVolumePricingRequestSchema:
      type: object
      properties:
        size:
          type: integer
          description: Volume size in GiB
        snapshot_id:
          type: string
          description: Snapshot ID. Mandatory if volume is created from a snapshot
        source:
          type: string
          enum:
            - apptemplate
            - existing-volume
            - image
            - new-volume
            - snapshot
          description: 'One of: ''new-volume'', ''image'', ''snapshot'', ''apptemplate'''
        type_name:
          type: string
          enum:
            - cold
            - ssd_hiiops
            - ssd_local
            - ssd_lowlatency
            - standard
            - ultra
          description: One of 'standard', 'ssd_hiiops', 'cold', 'ultra'
      required:
        - source
      description: Schema lists only the fields required to calculate price
      example:
        size: 1000
        source: new-volume
        type_name: standard
    NewInterfaceFloatingIpSchema:
      type: object
      properties:
        existing_floating_id:
          type: string
          description: If source is 'existing', existing floating IP ID must be specified
        source:
          type: string
          enum:
            - existing
            - new
          description: Will the floating for this subnet's IP be created or reused?
      required:
        - source
      description: NewInterfaceFloatingIpSerializer schema
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````